Bug 1874584 - add retry for etcd errors in kube-apiserver
Summary: add retry for etcd errors in kube-apiserver
Keywords:
Status: MODIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Abu Kashem
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 16:57 UTC by Abu Kashem
Modified: 2020-09-12 07:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kubernetes pull 327 None closed Bug 1874584: UPSTREAM: <carry>: retry etcd errors 2020-09-14 19:07:49 UTC

Description Abu Kashem 2020-09-01 16:57:58 UTC
Add retry for etcd errors in kube-apiserver.

- retry all non-mutating requests on error.
- retry certain mutating requests on errors, the ones that are we know "this action didn't do anything".

Notes:
- If this works well for us we can get that to upstream.


Note You need to log in before you can comment on or make changes to this bug.